Package org.jbpm.kie.services.impl

## Class AbstractAdvanceRuntimeDataServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl

- Direct Known Subclasses:
    `AdvanceCaseRuntimeDataServiceImpl`, `AdvanceRuntimeDataServiceImpl`

      public abstract class AbstractAdvanceRuntimeDataServiceImpl
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `AbstractAdvanceRuntimeDataServiceImpl.ProcessComparator` |
    `protected static class` | `AbstractAdvanceRuntimeDataServiceImpl.TaskComparator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAdvanceRuntimeDataServiceImpl()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static String` | `getSelectFields​(String idField, org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariables​(List<QueryParam> attributes, List<QueryParam> processVariables, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariablesAndTask​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, List<String> owners, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariablesAndTask​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, QueryParam owners, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected <R> List<R>` | `queryProcessUserTasksByVariables​(List<QueryParam> attributesArg, List<QueryParam> processVariablesArg, List<QueryParam> taskVariablesArg, QueryParam ownersArg, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext, BiFunction<StringBuilder,​StringBuilder,​String> mainSQLproducer, org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl.DataCollector<R> dataCollector)` |
    `protected List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, List<String> owners, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, QueryParam owners, int processType, String varPrefix, org.kie.api.runtime.query.QueryContext queryContext)` |
    `void` | `setCommandService​(TransactionalCommandService commandService)` |
    `void` | `setEmf​(javax.persistence.EntityManagerFactory emf)` |
    `protected List<QueryParam>` | `translate​(Map<String,​String> translationTable, List<QueryParam> attributes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAdvanceRuntimeDataServiceImpl

          public AbstractAdvanceRuntimeDataServiceImpl()

  - ### Method Detail

    - #### setCommandService

          public void setCommandService​(TransactionalCommandService commandService)

    - #### setEmf

          public void setEmf​(javax.persistence.EntityManagerFactory emf)

    - #### queryProcessByVariables

          protected List<ProcessInstanceWithVarsDesc> queryProcessByVariables​(List<QueryParam> attributes,
                                                                              List<QueryParam> processVariables,
                                                                              int processType,
                                                                              String varPrefix,
                                                                              org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryProcessByVariablesAndTask

          protected List<ProcessInstanceWithVarsDesc> queryProcessByVariablesAndTask​(List<QueryParam> attributes,
                                                                                     List<QueryParam> processVariables,
                                                                                     List<QueryParam> taskVariables,
                                                                                     List<String> owners,
                                                                                     int processType,
                                                                                     String varPrefix,
                                                                                     org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryProcessByVariablesAndTask

          protected List<ProcessInstanceWithVarsDesc> queryProcessByVariablesAndTask​(List<QueryParam> attributes,
                                                                                     List<QueryParam> processVariables,
                                                                                     List<QueryParam> taskVariables,
                                                                                     QueryParam owners,
                                                                                     int processType,
                                                                                     String varPrefix,
                                                                                     org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryUserTasksByVariables

          protected List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables​(List<QueryParam> attributes,
                                                                                     List<QueryParam> processVariables,
                                                                                     List<QueryParam> taskVariables,
                                                                                     List<String> owners,
                                                                                     int processType,
                                                                                     String varPrefix,
                                                                                     org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryUserTasksByVariables

          protected List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables​(List<QueryParam> attributes,
                                                                                     List<QueryParam> processVariables,
                                                                                     List<QueryParam> taskVariables,
                                                                                     QueryParam owners,
                                                                                     int processType,
                                                                                     String varPrefix,
                                                                                     org.kie.api.runtime.query.QueryContext queryContext)

    - #### getSelectFields

          protected static String getSelectFields​(String idField,
                                                  org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryProcessUserTasksByVariables

          protected <R> List<R> queryProcessUserTasksByVariables​(List<QueryParam> attributesArg,
                                                                 List<QueryParam> processVariablesArg,
                                                                 List<QueryParam> taskVariablesArg,
                                                                 QueryParam ownersArg,
                                                                 int processType,
                                                                 String varPrefix,
                                                                 org.kie.api.runtime.query.QueryContext queryContext,
                                                                 BiFunction<StringBuilder,​StringBuilder,​String> mainSQLproducer,
                                                                 org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl.DataCollector<R> dataCollector)

    - #### translate

          protected List<QueryParam> translate​(Map<String,​String> translationTable,
                                               List<QueryParam> attributes)